Returns the data-collection status of the extraction code's case grouped by data source, with item counts, limited to data collected with the caller's extraction code.
GET
/extraction/case/data-status-v2
curl \
--request GET 'http://api.example.com/extraction/case/data-status-v2' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"data": [
{
"code": "K7Q2-9XPL",
"createdDate": "2026-01-10T09:00:00.000Z",
"dueDate": "2026-02-01T00:00:00.000Z",
"dateRangeStart": "2025-01-01T00:00:00.000Z",
"dateRangeEnd": "2025-12-31T23:59:59.000Z",
"collectionMethod": "allow_client",
"notes": "string",
"custodian": {
"name": "Jane Doe",
"email": "jane.doe@example.com"
},
"dataSources": [
{
"id": "507f1f77bcf86cd799439011",
"type": "iMessage",
"category": "string",
"name": "iPhone 15",
"status": "completed",
"itemsCount": 1250,
"pendingOcApprovalCount": 0,
"ocSharedStatus": "shared",
"sizeBytes": 52428800,
"dateCompleted": "2026-01-15T14:30:00.000Z",
"sourceId": "507f1f77bcf86cd799439012"
}
]
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}